uk.gov.hmrc.address.services.es

# IndexMetadata

###
Related Docs: object IndexMetadata | package es

#### class IndexMetadata extends AnyRef

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. IndexMetadata
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new IndexMetadata(esAdmin: ESAdmin, isCluster: Boolean, numShardsMap: Map[String, Int], status: SimpleLogger, ec: ExecutionContext)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clients: List[ElasticClient]

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### val defaultNumShards: Int

8. #### def deleteIndex(name: IndexState): Unit

9. #### def deleteIndexIfExists(name: IndexState): Unit

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def existingIndexMetadata: List[IndexMetadataItem]

13. #### def existingIndexNamesLike(name: IndexState): List[IndexName]

14. #### def existingIndexes: List[IndexName]

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### def findMetadata(name: IndexName): Option[IndexMetadataItem]

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def getIndexNameInUseFor(product: String): Option[IndexName]

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### def indexExists(name: IndexState): Boolean

21. #### val isCluster: Boolean

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### def numShards(productName: String): Int

27. #### def setDoNotDelete(name: IndexName, newValue: Boolean): Unit

28. #### def setIndexInUse(name: IndexName): Unit

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toString(): String

    Definition Classes
      AnyRef → Any

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### def writeCompletionDateTo(indexName: IndexState, date: Date = new Date()): Unit

35. #### def writeIngestSettingsTo(indexName: IndexState, writerSettings: WriterSettings, provenance: BuildProvenance): Unit

### Deprecated Value Members

1. #### def toggleDoNotDelete(name: IndexName): Unit

   Deprecated

     because it isn't idempotent.

### Inherited from AnyRef

### Inherited from Any

### Ungrouped